For the complete documentation index, see llms.txt. This page is also available as Markdown.

Request shipping rates from selected couriers

You can get shipping rates from your preferred couriers by using this endpoint

POST https://api.shipbubble.com/v1/shipping/fetch_rates/:service_codes

The request body for this endpoint is the same as that of the Rates API

Path Parameters

Name
Type
Description

service_codes*

String

Service codes of couriers to be queried, use comma (,) to separate each courier service code. e.g kwik,dhl

{
    "status": "success",
    "message": "Retrieved successfully",
    "data": {
        "request_token": "1feff032e536b3a87b4f428f958a6570fe434add4d00bd63338e6d49abf7d200",
        "couriers": [
            {
                "courier_id": "darum",
                "courier_name": "Darum NG",
                "courier_image": "https://res.cloudinary.com/delivry/image/upload/v1639332277/courier_images/darum_orxysd.png",
                "service_code": "darum",
                "insurance": {
                    "code": "not available",
                    "fee": 0
                },
                "discount": {
                    "percentage": 0,
                    "symbol": "%",
                    "discounted": 0
                },
                "service_type": "pickup",
                "waybill": false,
                "delivery_eta": "Same day delivery",
                "currency": "₦",
                "vat": 191,
                "total": 2785
            },
            {
                "courier_id": "gigl",
                "courier_name": "GIG logistics",
                "courier_image": "https://res.cloudinary.com/delivry/image/upload/v1638640741/courier_images/gig_logo_wsxvwb.png",
                "service_code": "gigl",
                "insurance": {
                    "code": "not available",
                    "fee": 0
                },
                "discount": {
                    "percentage": 5,
                    "symbol": "%",
                    "discounted": 138
                },
                "service_type": "pickup",
                "waybill": true,
                "delivery_eta": "Same day delivery",
                "currency": "₦",
                "vat": 189,
                "total": 2750
            }
        ],
        "cheapest_courier": {
            "courier_id": "gigl",
            "courier_name": "GIG logistics",
            "courier_image": "https://res.cloudinary.com/delivry/image/upload/v1638640741/courier_images/gig_logo_wsxvwb.png",
            "service_code": "gigl",
            "insurance": {
                "code": "not available",
                "fee": 0
            },
            "discount": {
                "percentage": 5,
                "symbol": "%",
                "discounted": 138
            },
            "service_type": "pickup",
            "waybill": true,
            "delivery_eta": "Same day delivery",
            "currency": "₦",
            "vat": 189,
            "total": 2750
        },
        "checkout_data": {
            "ship_from": {
                "name": "Lebron James",
                "phone": "+2348057575855",
                "email": "[email protected]",
                "address": "Obafemi Awolowo Way, Alausa 101233, Ojodu, Nigeria"
            },
            "ship_to": {
                "name": "Lebron James",
                "phone": "+2348057575855",
                "email": "[email protected]",
                "address": "Phase 1, 4 Michael Olawale-Cole Dr, Lekki Phase I 106104, Lagos, Nigeria"
            },
            "package_amount": "₦1,510,000",
            "package_weight": "2.00KG",
            "pickup_time": "December 19th 2022, 8:00:43 PM"
        }
    }
}

Last updated

Was this helpful?